vnfd:
  product-name: powerdns_cnf
  version: "1.0"
  provider: UBITECH Ltd.
  description: |
    K8s container deployment of PowerDNS
  id: powerdns_cnf
  mgmt-cp: mgmtnet-ext
  ext-cpd:
    - id: mgmtnet-ext
      k8s-cluster-net: mgmtnet
  kdu:
    - name: powerdns-kdu
      juju-bundle: bundle.yaml
  k8s-cluster:
    nets:
      - id: mgmtnet
  df:
    - id: default-df
      lcm-operations-configuration:
        operate-vnf-op-config:
          day1-2:
            - id: powerdns-kdu
              initial-config-primitive:
                - seq: 0
                  name: add-zone
                  parameter:
                    - name: application-name
                      data-type: STRING
                      value: powerdns
                    - name: zone-name
                      data-type: STRING
                      value: "example.org."
                - seq: 1
                  name: add-domain
                  parameter:
                    - name: application-name
                      data-type: STRING
                      value: powerdns
                    - name: zone-name
                      data-type: STRING
                      value: "example.org."
                    - name: subdomain
                      data-type: STRING
                      value: "test."
                    - name: ip
                      data-type: STRING
                      value: "192.0.5.4"
              config-primitive:
                - name: add-zone
                  parameter:
                    - name: application-name
                      data-type: STRING
                      default-value: powerdns
                    - name: zone-name
                      data-type: STRING
                      default-value: ""
                - name: delete-zone
                  parameter:
                    - name: application-name
                      data-type: STRING
                      default-value: powerdns
                    - name: zone-name
                      data-type: STRING
                      default-value: ""
                - name: add-domain
                  parameter:
                    - name: application-name
                      data-type: STRING
                      default-value: powerdns
                    - name: zone-name
                      data-type: STRING
                      default-value: ""
                    - name: subdomain
                      data-type: STRING
                      default-value: ""
                    - name: ip
                      data-type: STRING
                      default-value: ""
                - name: delete-domain
                  parameter:
                    - name: application-name
                      data-type: STRING
                      default-value: powerdns
                    - name: zone-name
                      data-type: STRING
                      default-value: ""
                    - name: subdomain
                      data-type: STRING
                      default-value: ""